#!/bin/sh
#
EXT=openldap
TCZ=/tmp/$EXT/TCZ

sudo rm -rf /tmp/$EXT

for a in compiletc bash file \
		libltdl groff unixODBC-dev unixODBC cyrus-sasl-dev cyrus-sasl \
		libmcrypt-dev libmcrypt db6.0.19-dev db6.0.19 libtool-dev \
		perl5 squashfs-tools
	do tce-load -i $a
done

export CC="gcc -mtune=generic -Os -pipe"
export CXX="g++ -mtune=generic -Os -pipe"

#make clean
./configure \
	--prefix=/usr/local \
	--localstatedir=/opt \
	--with-threads \
	--with-tls=openssl \
	--with-cyrus-sasl \
	--enable-dynamic \
	--enable-shared \
	--enable-syslog \
	--enable-slapd \
	--enable-modules \
	--enable-backends=mod \
	--enable-overlays=mod \
	--disable-ndb \
	--with-odbc=unixodbc \
	|| exit

make || exit

if [ $(grep -q '^install-strip:' Makefile) ]; then
	make install-strip DESTDIR=$TCZ
else
	make install DESTDIR=$TCZ
	for a in $(find $TCZ -type f); do file -b $a | grep -q '^ELF .*not stripped$' && strip $a; done
fi

rm -rf $TCZ/opt/run

mkdir -p $TCZ-dev/usr/local/lib
mv $TCZ/usr/local/include $TCZ-dev/usr/local
mv $TCZ/usr/local/lib/*.a $TCZ-dev/usr/local/lib
mv $TCZ/usr/local/lib/*.la $TCZ-dev/usr/local/lib

mkdir -p $TCZ-doc/usr/local
mv $TCZ/usr/local/share $TCZ-doc/usr/local

sudo chown -R root.root $TCZ*

sudo mksquashfs $TCZ /tmp/$EXT/$EXT.tcz -noappend
mksquashfs $TCZ-dev /tmp/$EXT/$EXT-dev.tcz -noappend
mksquashfs $TCZ-doc /tmp/$EXT/$EXT-doc.tcz -noappend

